javax.faces.flow

## Class FlowHandlerFactoryWrapper

- java.lang.Object
- - javax.faces.flow.FlowHandlerFactory
  - - javax.faces.flow.FlowHandlerFactoryWrapper

- All Implemented Interfaces:
    FacesWrapper<FlowHandlerFactory>

      public abstract class FlowHandlerFactoryWrapper
      extends FlowHandlerFactory
      implements FacesWrapper<FlowHandlerFactory>

  FlowHandlerFactoryWrapper provides a simple implementation of `FlowHandlerFactory` that can be subclassed by developers wishing to provide specialized behavior to an existing `FlowHandlerFactory` instance. The default implementation of all methods is to call through to the wrapped `FlowHandlerFactory` instance.

  `getWrapped()` to return the instance being wrapping.

  Since:
    2.2

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FlowHandlerFactoryWrapper()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `FlowHandler` | `createFlowHandler(FacesContext context)` Create the singleton instance of `FlowHandler`.
    `abstract FlowHandlerFactory` | `getWrapped()` A class that implements this interface uses this method to return an instance of the class being wrapped.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FlowHandlerFactoryWrapper

          public FlowHandlerFactoryWrapper()

  - ### Method Detail

    - #### getWrapped

          public abstract FlowHandlerFactory getWrapped()

      A class that implements this interface uses this method to return an instance of the class being wrapped.

      Specified by:
        `getWrapped` in interface `FacesWrapper<FlowHandlerFactory>`
      Since:
        2.2

    - #### createFlowHandler

          public FlowHandler createFlowHandler(FacesContext context)

      Description copied from class: `FlowHandlerFactory`

      Create the singleton instance of `FlowHandler`.

      Specified by:
        `createFlowHandler` in class `FlowHandlerFactory`

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.